LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XConnectionPoint Interface Referencepublished

supports connection points for connectable objects. More...

`import"XConnectionPoint.idl";`

Inheritance diagram for XConnectionPoint:

## Public Member Functions
type | getConnectionType ()
com::sun::star::lang::XConnectionPointContainer | getConnectionPointContainer ()
void | advise ([in] com::sun::star::uno::XInterface xListener) raises ( com::sun::star::lang::ListenerExistException, com::sun::star::lang::InvalidListenerException )
| creates a connection between a connection point and a client's sink, where the sink implements the outgoing interface supported by this connection point. More...
void | unadvise ([in] com::sun::star::uno::XInterface xListener)
| terminates a notification previously set up with advise. More...
sequence< com::sun::star::uno::XInterface > | getConnections ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

supports connection points for connectable objects.

Connectable objects support the following features:

- outgoing interfaces, such as event sets;
- the ability to enumerate the types of the outgoing interfaces;
- the ability to connect and disconnect sinks to the object for those outgoing types;
- the ability to enumerate the connections that exist to a particular outgoing interface.

#### When to Implement?

To create a connectable object, you need to implement objects that provide two related interfaces:

- XConnectionPointContainer
- XConnectionPoint

The XConnectionPointContainer interface is implemented on the connectable object to indicate the existence of the outgoing interfaces. It provides a sequence of sub-objects. It also provides access to all the connection point sub-objects, each of which implements the XConnectionPoint interface. The XConnectionPoint interface provides a sequence of sub-objects.

Each connection point is a separate sub-object to avoid circular reference counting problems. A connection point controls how many connections (one or more) it will allow in its implementation of XConnectionPoint::advise().

#### When to use?

A client can use the XConnectionPointContainer interface:

- to get a sequence of connection points for each outgoing type.
- to obtain access to connection point sub-objects with the XConnectionPoint interface for each outgoing type. Through the XConnectionPoint interface, a client starts or terminates an advisory loop with the connectable object and the client's own sink. The client can also use the XConnectionPoint interface to get a sequence of the connections that it knows about.

See also
  XConnectionPointContainer

## Member Function Documentation

## ◆ advise()

void advise | ( | [in] com::sun::star::uno::XInterface | xListener | ) |
raises | ( | com::sun::star::lang::ListenerExistException,
|  | com::sun::star::lang::InvalidListenerException
| ) |  |

creates a connection between a connection point and a client's sink, where the sink implements the outgoing interface supported by this connection point.

A few `add...Listener` methods need additional parameters to add listeners or throw exceptions. One of these methods is com::sun::star::beans::XPropertySet::addPropertyChangeListener(). We ignore the problem in this interface. A solution must be provided in an additional XConnectionPoint interface.

Parameters

  xListener | specifies the listener interface on the client's advise sink. The client's sink receives outgoing calls from the connection point container.

Exceptions

  ListenerExistException | if it is an unicast broadcaster and a listener is already set.
  InvalidListenerException | if the listener does not supply the needed interfaces.

See also
  com::sun::star::beans::XPropertySet::addPropertyChangeListener

## ◆ getConnectionPointContainer()

com::sun::star::lang::XConnectionPointContainer getConnectionPointContainer | ( |  | ) |

Returns
  the XConnectionPointContainer interface on the parent connectable object.

See also
  XConnectionPointContainer

## ◆ getConnections()

sequence< com::sun::star::uno::XInterface > getConnections | ( |  | ) |

Returns
  a sequence of all currently advised connections.

## ◆ getConnectionType()

type getConnectionType | ( |  | ) |

Returns
  the type of the outgoing interface managed by this connection point.

Using the XConnectionPointContainer::getConnectionPoints() method, a client can obtain an XConnectionPoint interface. Using that interface and this method, the client can determine the type of each connection point enumerated. The type returned from this method must enable the caller to access this same connection point through XConnectionPointContainer::findConnectionPoint().

See also
  XConnectionPointContainer::findConnectionPoint

## ◆ unadvise()

void unadvise | ( | [in] com::sun::star::uno::XInterface | xListener | ) |

terminates a notification previously set up with advise.

A few `remove...Listener` methods need additional parameters to add listeners or throw exceptions. One of these methods is com::sun::star::beans::XPropertySet::removePropertyChangeListener(). We ignore the problem in this interface. A solution must be provided in an additional XConnectionPoint interface.

Parameters

  xListener | specifies the listener interface on the client's advise sink.

See also
  com::sun::star::beans::XPropertySet::removePropertyChangeListener

The documentation for this interface was generated from the following file:

- com/sun/star/lang/XConnectionPoint.idl